dpkg-parsechangelog(1)

NAAM
dpkg-parsechangelog - ontleed Debian changelog-bestanden

OVERZICHT
dpkg-parsechangelog [optie...]

BESCHRIJVING
dpkg-parsechangelog leest en ontleedt het bestand changelog van een uitgepakte Debian broncodeboom en geeft de informatie eruit in een door een machine te lezen vorm weer op de standaarduitvoer.

OPTIES

-l changelog-bestand
    Geeft het changelog-bestand op waaruit gelezen moet worden. Een ‘-’ kan gebruikt worden om aan te geven dat van de standaardinvoer gelezen moet worden. De standaard is debian/changelog.

-F changelog-indeling
    Specifies the format of the changelog. By default the format is read from a special line near the bottom of the changelog or failing that defaults to the debian standard format. See also CHANGELOG FORMATS.

-L bibliotheekmap
    Obsolete option without effect (since dpkg 1.18.8). Setting the perl environment variables PERL5LIB or PERLLIB has a similar effect when looking for the parser perl modules.

-S, --show-field veld
    Geeft de naam op van het te tonen veld (sinds dpkg 1.17.0). De naam van het veld wordt niet weergegeven, enkel de inhoud ervan.

-?, --help
    Toon info over het gebruik en sluit af.

--version
    Toon de versie en sluit af.

  Ontleedopties
The following options can be used to influence the output of the changelog parser, e.g. the range of entries or the format of the output.

--file bestand
    Stel de te ontleden changelog-bestandsnaam in. Standaard is dat ‘-’ (standaardinvoer).

-l, --label bestand
    Stel de naam in van het changelog-bestand die in foutmeldingen gebruikt moet worden, in plaats van de naam te gebruiken uit de optie --file of de standaardwaarde ervan.

--format uitvoerindeling
    Stel de indeling van de uitvoer in. Momenteel ondersteunde waarden zijn dpkg en rfc822. dpkg is de klassieke indeling van de uitvoer (van voor het bestaan van deze optie) en ook de standaard. Het bestaat uit één paragraaf volgens het systeem van Debian control (zie deb-control(5)). Indien meer dan één item opgevraagd wordt, dan worden de meeste velden genomen uit het meest recente item, tenzij anders vermeld:

    Source: pakketnaam

    Version: versie

    Distribution: doeldistributie

    Urgency: urgentie
        Van alle opgenomen items wordt de hoogste urgentie gebruikt, gevolgd door de samengevoegde (onderling door spaties gescheiden) commentaar van alle opgevraagde versies.

    Maintainer: auteur

    Date: datum
        The date of the entry as a string, as it appears in the changelog. With a strptime(3) format "%a, %d %b %Y %T %z", but where the day of the week might not actually correspond to the real day obtained from the rest of the date string. If you need a more accurate representation of the date, use the Timestamp field, but take into account it might not be possible to map it back to the exact value in this field.

    Timestamp: timestamp
        The date of the entry as a timestamp in seconds since the epoch (since dpkg 1.18.8).

    Closes: bug-nummer
        De velden Closes van alle opgenomen items worden samengevoegd.

    Changes: changelog-items
        De tekst van alle changelog-items wordt samengevoegd. Om van dit veld een geldig veld te maken volgens de indeling van een Debian control-veld dat uit meerdere regels bestaat, worden lege regels vervangen door één enkel punt en springen alle regels in met één spatie. De exacte inhoud hangt af van de changelog-indeling.

    De velden Version, Distribution, Urgency, Maintainer en Changes zijn verplicht.

    Er kunnen nog bijkomende door de gebruiker aangemaakte velden gebruikt worden.

    De indeling volgens rfc822 maakt gebruik van dezelfde velden, maar gebruikt in de uitvoer een aparte paragraaf voor elk changelog-item, zodat alle metadata van elk item behouden blijven.

--all
    Neem alle wijzigingen op. Merk op dat andere opties geen effect hebben als deze optie gebruikt wordt.

-s, --since versie
-v versie
    Neem alle wijzigingen op die recenter zijn dan versie.

-u, --until versie
    Neem alle wijzigingen op die gemaakt zijn voor versie.

-f, --from versie
    Neem alle wijzigingen uit versie of later op.

-t, --to versie
    Neem alle wijzigingen uit versie of vroeger op.

-c, --count aantal
-n aantal
    Neem aantal items op te beginnen bij het begin (of bij het einde als aantal kleiner is dan 0).

-o, --offset getal
    Pas het beginpunt voor --count aan, te rekenen vanaf het begin (of het einde als getal lager is dan 0).

CHANGELOG-INDELINGEN
Het is mogelijk om een andere indeling te gebruiken dan de standaardindeling door te voorzien in een ontleedprogramma voor die alternatieve indeling. Om er voor te zorgen dat dpkg-parsechangelog dat nieuw ontleedprogramma uitvoert, moet binnen de laatste 40 regels van het changelog-bestand een regel toegevoegd worden die voldoet aan de Perl reguliere expressie: “\schangelog-format:\s+([0-9a-z]+)\W”. Het deel tussen haakjes moet de naam van de indeling zijn. Bijvoorbeeld:
       @@@ changelog-format: andere-indeling @@@ Namen voor changelog-indelingen moeten niet-lege alfanumerieke tekenreeksen zijn. If such a line exists then dpkg-parsechangelog will look for the parser as a Dpkg::Changelog::Otherformat perl module; it is an error for it not being present. The parser name in the perl module will be automatically capitalized. The default changelog format is debian, and a parser for it is provided by default. The parser should be derived from the Dpkg::Changelog class and implement the required documented interface. Indien de changelog-indeling die ontleed wordt altijd of bijna altijd een witregel heeft tussen aparte notities in verband met wijzigingen, moeten die lege regels weggenomen worden om als resultaat een compacte uitvoer te bekomen. Indien de changlog-indeling geen informatie bevat over data of pakketnaam, dan moet die informatie in de uitvoer weggelaten worden. Het ontleedprogramma moet niet proberen die informatie samen te stellen of ze in andere bronnen gaan zoeken. If the changelog does not have the expected format the parser should error out, rather than trying to muddle through and possibly generating incorrect output. Een ontleedprogramma voor een changelog-bestand mag helemaal niet met de gebruiker interageren.

OPMERKINGEN
All Parser Options except for -v are only supported since dpkg 1.14.16.

Het voor ontleeddoeleinden gebruiken van opties in verkorte notatie met niet-samengebundelde waarden is slechts sinds dpkg 1.18.0 mogelijk.

BESTANDEN

debian/changelog
    Het changelog-bestand dat gebruikt wordt om versieafhankelijke informatie over het broncodepakket te verkrijgen, zoals de urgentie en de distributie van een upload, de doorgevoerde aanpassingen sinds een bepaalde release en het versienummer van de broncode zelf.

ZIE OOK
deb-changelog(5).